.\"
.\" Copyright (c) 1997 Colin Wood
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"      This product includes software developed by Colin Wood.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"	$NetBSD: sn.4,v 1.1 2007/06/20 13:31:55 tsutsui Exp $
.\"
.Dd May 16, 2009
.Dt SN 4
.Os
.Sh NAME
.Nm sn
.Nd National Semiconductor DP83932 (SONIC) based Ethernet device driver
.Sh SYNOPSIS
.Ss arc
.Cd "sn0 at jazzio?"
.Ss mac68k
.Cd "sn* at obio?"
.Cd "sn* at nubus?"
.Sh DESCRIPTION
The
.Nm
interface provides access to a 10 Mb/s Ethernet network via the
National Semiconductor DP83932
.Pq Tn SONIC
Ethernet chip set.
.Pp
Each of the host's network addresses is specified at boot time with an
.Dv SIOCSIFADDR
.Xr ioctl 2 .
The
.Nm
interface employs the address resolution protocol described in
.Xr arp 4
to dynamically map between Internet and Ethernet addresses on the
local network.
.Sh HARDWARE
.Ss arc
The
.Nm
driver supports on-board JAZZ based SONIC interfaces found
on Acer PICA and NEC machines.
.Ss mac68k
The
.Nm
driver is currently known to support the following NuBus cards:
.Bl -bullet -offset indent -compact
.It
Apple LC Twisted-pair (part #820-0532-A) PDS card
.It
Cayman Gatorcard PDS
.It
Dayna DaynaPort/E30
.El
.Pp
In addition, the
.Nm
interface supports the following interfaces:
.Bl -bullet -offset indent -compact
.It
on-board Ethernet for non-AV Quadras
.It
on-board Ethernet for 500-series PowerBooks
.It
Apple CS Ethernet Twisted-pair card for Comm Slot found on
LC575, Quadra 630, LC630, and Performa 580.
.El
.Sh DIAGNOSTICS
.Bl -diag -compact
.It sn%d: transmit FIFO underrun
.It sn%d: receive FIFO overrun
.It sn%d: receive buffer exceeded
.It sn%d: receive buffers exhausted
.It sn%d: receive descriptors exhausted
These messages indicate that the interface gets errors
(due to heavy load etc.) and reinitialized.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr inet 4 ,
.Xr netintro 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
interface for mac68k, which was derived from a driver for old
.Nx Ns /pica
port, first appeared in
.Nx 1.3 .
.Pp
Jason Thorpe has rewritten a new machine independent SONIC driver which uses
.Xr bus_dma 9
and
.Xr bus_space 9
APIs after
.Nx 1.5
release, and
.Nx Ns /arc
has been switched to using the machine independent (MI) driver.
.Pp
.Nx Ns /mac68k
has also been switched to using the MI driver after the
.Nx 4.0
release.
